| Name                               | Description                                                                                                                                                                                                                                                                                                                                  | License                                                 | Repository URL                                                                                        |
|------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------|---------------------------------------------------------------------------------------------------|
| aes-gcm                            | Pure Rust implementation of the AES-GCM (Galois/Counter Mode) Authenticated Encryption with Associated Data (AEAD) Cipher with optional architecture-specific hardware acceleration                                                                                                                                                          | Apache-2.0 OR MIT                                       | https://github.com/RustCrypto/AEADs                                                               |
| ahash                              | A non-cryptographic hash function using AES-NI for high performance                                                                                                                                                                                                                                                                          | MIT OR Apache-2.0                                       | https://github.com/tkaitchuck/ahash                                                               |
| anyhow                             | Flexible concrete Error type built on std::error::Error                                                                                                                                                                                                                                                                                      | MIT OR Apache-2.0                                       | https://github.com/dtolnay/anyhow                                                                 |
| assert_cmd                         | Test CLI Applications.                                                                                                                                                                                                                                                                                                                       | MIT OR Apache-2.0                                       | https://github.com/assert-rs/assert_cmd.git                                                       |
| async-broadcast                    | Async broadcast channels                                                                                                                                                                                                                                                                                                                     | MIT OR Apache-2.0                                       | https://github.com/smol-rs/async-broadcast                                                        |
| async-dropper                      | The least-worst ad-hoc implementation of AsyncDrop as a Derive macro                                                                                                                                                                                                                                                                         | MIT                                                     | https://github.com/t3hmrman/async-dropper                                                         |
| async-trait                        | Type erasure for async trait methods                                                                                                                                                                                                                                                                                                         | MIT OR Apache-2.0                                       | https://github.com/dtolnay/async-trait                                                            |
| atone                              | A VecDeque and Vec variant that spreads resize load across pushes.                                                                                                                                                                                                                                                                           | MIT OR Apache-2.0                                       | https://github.com/jonhoo/atone.git                                                               |
| axum                               | Web framework that focuses on ergonomics and modularity                                                                                                                                                                                                                                                                                      | MIT                                                     | https://github.com/tokio-rs/axum                                                                  |
| axum-server                        | High level server designed to be used with axum framework.                                                                                                                                                                                                                                                                                   | MIT                                                     | https://github.com/programatik29/axum-server                                                      |
| base64                             | encodes and decodes base64 as bytes or utf8                                                                                                                                                                                                                                                                                                  | MIT OR Apache-2.0                                       | https://github.com/marshallpierce/rust-base64                                                     |
| bcrypt                             | Easily hash and verify passwords using bcrypt                                                                                                                                                                                                                                                                                                | MIT                                                     | https://github.com/Keats/rust-bcrypt                                                              |
| bincode                            | A binary serialization / deserialization strategy for transforming structs into bytes and vice versa!                                                                                                                                                                                                                                        | MIT                                                     | https://github.com/bincode-org/bincode                                                            |
| blake3                             | the BLAKE3 hash function                                                                                                                                                                                                                                                                                                                     | CC0-1.0 OR Apache-2.0 OR Apache-2.0 WITH LLVM-exception | https://github.com/BLAKE3-team/BLAKE3                                                             |
| bon                                | A macro that generates builder functions                                                                                                                                                                                                                                                                                                     | MIT OR Apache-2.0                                       | https://github.com/elastio/bon                                                                    |
| byte-unit                          | A library for interacting with units of bytes.                                                                                                                                                                                                                                                                                               | MIT                                                     | https://github.com/magiclen/byte-unit                                                             |
| bytes                              | Types and traits for working with bytes                                                                                                                                                                                                                                                                                                      | MIT                                                     | https://github.com/tokio-rs/bytes                                                                 |
| chrono                             | Date and time library for Rust                                                                                                                                                                                                                                                                                                               | MIT OR Apache-2.0                                       | https://github.com/chronotope/chrono                                                              |
| clap                               | A simple to use, efficient, and full-featured Command Line Argument Parser                                                                                                                                                                                                                                                                   | MIT OR Apache-2.0                                       | https://github.com/clap-rs/clap                                                                   |
| clap_complete                      | Generate shell completion scripts for your clap::Command                                                                                                                                                                                                                                                                                     | MIT OR Apache-2.0                                       | https://github.com/clap-rs/clap                                                                   |
| colored                            | The most simple way to add colors in your terminal                                                                                                                                                                                                                                                                                           | MPL-2.0                                                 | https://github.com/mackwic/colored                                                                |
| comfy-table                        | An easy to use library for building beautiful tables with automatic content wrapping                                                                                                                                                                                                                                                         | MIT                                                     | https://github.com/nukesor/comfy-table                                                            |
| console-subscriber                 | A `tracing-subscriber::Layer` for collecting Tokio console telemetry.                                                                                                                                                                                                                                                                        | MIT                                                     | https://github.com/tokio-rs/console/                                                              |
| convert_case                       | Convert strings into any case                                                                                                                                                                                                                                                                                                                | MIT                                                     | https://github.com/rutrum/convert-case                                                            |
| crc32fast                          | Fast, SIMD-accelerated CRC32 (IEEE) checksum computation                                                                                                                                                                                                                                                                                     | MIT OR Apache-2.0                                       | https://github.com/srijs/rust-crc32fast                                                           |
| csv                                | Fast CSV parsing with support for serde.                                                                                                                                                                                                                                                                                                     | Unlicense/MIT                                           | https://github.com/BurntSushi/rust-csv                                                            |
| ctor                               | __attribute__((constructor)) for Rust                                                                                                                                                                                                                                                                                                        | Apache-2.0 OR MIT                                       | https://github.com/mmastrac/rust-ctor                                                             |
| dashmap                            | Blazing fast concurrent HashMap for Rust.                                                                                                                                                                                                                                                                                                    | MIT                                                     | https://github.com/xacrimon/dashmap                                                               |
| derive-new                         | `#[derive(new)]` implements simple constructor functions for structs and enums.                                                                                                                                                                                                                                                              | MIT                                                     | https://github.com/nrc/derive-new                                                                 |
| derive_more                        | Adds #[derive(x)] macros for more traits                                                                                                                                                                                                                                                                                                     | MIT                                                     | https://github.com/JelteF/derive_more                                                             |
| dirs                               | A tiny low-level library that provides platform-specific standard locations of directories for config, cache and other data on Linux, Windows, macOS and Redox by leveraging the mechanisms defined by the XDG base/user directory specifications on Linux, the Known Folder API on Windows, and the Standard Directory guidelines on macOS. | MIT OR Apache-2.0                                       | https://github.com/soc/dirs-rs                                                                    |
| dotenvy                            | A well-maintained fork of the dotenv crate                                                                                                                                                                                                                                                                                                   | MIT                                                     | https://github.com/allan2/dotenvy                                                                 |
| env_logger                         | A logging implementation for `log` which is configured via an environment variable.                                                                                                                                                                                                                                                          | MIT OR Apache-2.0                                       | https://github.com/rust-cli/env_logger                                                            |
| error_set                          | An error set macro that simplifies error management by providing a streamlined method for defining errors and easily converting between them. Inspired by Zig's error set type.                                                                                                                                                              | Apache-2.0                                              | https://github.com/mcmah309/error_set                                                             |
| fast-async-mutex                   | It is a lib which provide asynchronous locking mechanisms (Mutex, RwLock, OrderedMutex and OrderedRwLock)                                                                                                                                                                                                                                    | Apache-2.0/MIT                                          | https://github.com/Mnwa/fast-async-mutex                                                          |
| figlet-rs                          | Rust implementation of FIGlet to create ascii art                                                                                                                                                                                                                                                                                            | Apache-2.0                                              | https://github.com/yuanbohan/rs-figlet                                                            |
| figment                            | A configuration library so con-free, it's unreal.                                                                                                                                                                                                                                                                                            | MIT OR Apache-2.0                                       | https://github.com/SergioBenitez/Figment                                                          |
| flume                              | A blazingly fast multi-producer channel                                                                                                                                                                                                                                                                                                      | MIT OR Apache-2.0                                       | https://github.com/zesterer/flume                                                                 |
| futures                            | An implementation of futures and streams featuring zero allocations, composability, and iterator-like interfaces.                                                                                                                                                                                                                            | MIT OR Apache-2.0                                       | https://github.com/rust-lang/futures-rs                                                           |
| futures-util                       | Common utilities and extension traits for the futures-rs library.                                                                                                                                                                                                                                                                            | MIT OR Apache-2.0                                       | https://github.com/rust-lang/futures-rs                                                           |
| human_format                       | Rust Port of human-format from node, formatting numbers for us, while the machines are still at bay.                                                                                                                                                                                                                                         | MIT                                                     | https://github.com/BobGneu/human-format-rs                                                        |
| humantime                          | A parser and formatter for std::time::{Duration, SystemTime}                                                                                                                                                                                                                                                                                 | MIT/Apache-2.0                                          | https://github.com/tailhook/humantime                                                             |
| jsonwebtoken                       | Create and decode JWTs in a strongly typed way.                                                                                                                                                                                                                                                                                              | MIT                                                     | https://github.com/Keats/jsonwebtoken                                                             |
| keyring                            | Cross-platform library for managing passwords/credentials                                                                                                                                                                                                                                                                                    | MIT OR Apache-2.0                                       | https://github.com/hwchen/keyring-rs.git                                                          |
| lazy_static                        | A macro for declaring lazily evaluated statics in Rust.                                                                                                                                                                                                                                                                                      | MIT OR Apache-2.0                                       | https://github.com/rust-lang-nursery/lazy-static.rs                                               |
| libc                               | Raw FFI bindings to platform libraries like libc.                                                                                                                                                                                                                                                                                            | MIT OR Apache-2.0                                       | https://github.com/rust-lang/libc                                                                 |
| log                                | A lightweight logging facade for Rust                                                                                                                                                                                                                                                                                                        | MIT OR Apache-2.0                                       | https://github.com/rust-lang/log                                                                  |
| mimalloc                           | Performance and security oriented drop-in allocator                                                                                                                                                                                                                                                                                          | MIT                                                     | https://github.com/purpleprotocol/mimalloc_rust                                                   |
| mockall                            | A powerful mock object library for Rust.                                                                                                                                                                                                                                                                                                     | MIT OR Apache-2.0                                       | https://github.com/asomers/mockall                                                                |
| moka                               | A fast and concurrent cache library inspired by Java Caffeine                                                                                                                                                                                                                                                                                | MIT OR Apache-2.0                                       | https://github.com/moka-rs/moka                                                                   |
| nonzero_lit                        | Easy, safe, and fully zero-cost NonZero constants and literals.                                                                                                                                                                                                                                                                              | MIT OR Apache-2.0 OR CC0-1.0                            | https://github.com/thomcc/nonzero_lit                                                             |
| openssl                            | OpenSSL bindings                                                                                                                                                                                                                                                                                                                             | Apache-2.0                                              | https://github.com/sfackler/rust-openssl                                                          |
| opentelemetry                      | OpenTelemetry API for Rust                                                                                                                                                                                                                                                                                                                   | Apache-2.0                                              | https://github.com/open-telemetry/opentelemetry-rust                                              |
| opentelemetry-appender-tracing     | An OpenTelemetry log appender for the tracing crate                                                                                                                                                                                                                                                                                          | Apache-2.0                                              | https://github.com/open-telemetry/opentelemetry-rust/tree/main/opentelemetry-appender-tracing     |
| opentelemetry-otlp                 | Exporter for the OpenTelemetry Collector                                                                                                                                                                                                                                                                                                     | Apache-2.0                                              | https://github.com/open-telemetry/opentelemetry-rust/tree/main/opentelemetry-otlp                 |
| opentelemetry-semantic-conventions | Semantic conventions for OpenTelemetry                                                                                                                                                                                                                                                                                                       | Apache-2.0                                              | https://github.com/open-telemetry/opentelemetry-rust/tree/main/opentelemetry-semantic-conventions |
| opentelemetry_sdk                  | The SDK for the OpenTelemetry metrics collection and distributed tracing framework                                                                                                                                                                                                                                                           | Apache-2.0                                              | https://github.com/open-telemetry/opentelemetry-rust                                              |
| passterm                           | Read terminal password, check isatty                                                                                                                                                                                                                                                                                                         | BSD-3-Clause                                            | https://github.com/finfet/passterm                                                                |
| predicates                         | An implementation of boolean-valued predicate functions.                                                                                                                                                                                                                                                                                     | MIT OR Apache-2.0                                       | https://github.com/assert-rs/predicates-rs                                                        |
| prometheus-client                  | Open Metrics client library allowing users to natively instrument applications.                                                                                                                                                                                                                                                              | MIT OR Apache-2.0                                       | https://github.com/prometheus/client_rust                                                         |
| quinn                              | Versatile QUIC transport protocol implementation                                                                                                                                                                                                                                                                                             | MIT OR Apache-2.0                                       | https://github.com/quinn-rs/quinn                                                                 |
| rcgen                              | Rust X.509 certificate generator                                                                                                                                                                                                                                                                                                             | MIT OR Apache-2.0                                       | https://github.com/rustls/rcgen                                                                   |
| regex                              | An implementation of regular expressions for Rust. This implementation uses finite automata and guarantees linear time matching on all inputs.                                                                                                                                                                                               | MIT OR Apache-2.0                                       | https://github.com/rust-lang/regex                                                                |
| reqwest                            | higher level HTTP client library                                                                                                                                                                                                                                                                                                             | MIT OR Apache-2.0                                       | https://github.com/seanmonstar/reqwest                                                            |
| reqwest-middleware                 | Wrapper around reqwest to allow for client middleware chains.                                                                                                                                                                                                                                                                                | MIT OR Apache-2.0                                       | https://github.com/TrueLayer/reqwest-middleware                                                   |
| reqwest-retry                      | Retry middleware for reqwest.                                                                                                                                                                                                                                                                                                                | MIT OR Apache-2.0                                       | https://github.com/TrueLayer/reqwest-middleware                                                   |
| ring                               | Safe, fast, small crypto using Rust.                                                                                                                                                                                                                                                                                                         | non-standard                                            | https://github.com/briansmith/ring                                                                |
| rust-s3                            | Rust library for working with AWS S3 and compatible object storage APIs                                                                                                                                                                                                                                                                      | MIT                                                     | https://github.com/durch/rust-s3                                                                  |
| rustls                             | Rustls is a modern TLS library written in Rust.                                                                                                                                                                                                                                                                                              | Apache-2.0 OR ISC OR MIT                                | https://github.com/rustls/rustls                                                                  |
| rustls-pemfile                     | Basic .pem file parser for keys and certificates                                                                                                                                                                                                                                                                                             | Apache-2.0 OR ISC OR MIT                                | https://github.com/rustls/pemfile                                                                 |
| serde                              | A generic serialization/deserialization framework                                                                                                                                                                                                                                                                                            | MIT OR Apache-2.0                                       | https://github.com/serde-rs/serde                                                                 |
| serde_derive                       | Macros 1.1 implementation of #[derive(Serialize, Deserialize)]                                                                                                                                                                                                                                                                               | MIT OR Apache-2.0                                       | https://github.com/serde-rs/serde                                                                 |
| serde_json                         | A JSON serialization file format                                                                                                                                                                                                                                                                                                             | MIT OR Apache-2.0                                       | https://github.com/serde-rs/json                                                                  |
| serde_with                         | Custom de/serialization functions for Rust's serde                                                                                                                                                                                                                                                                                           | MIT OR Apache-2.0                                       | https://github.com/jonasbb/serde_with/                                                            |
| serial_test                        | Allows for the creation of serialised Rust tests                                                                                                                                                                                                                                                                                             | MIT                                                     | https://github.com/palfrey/serial_test/                                                           |
| static-toml                        | Effortlessly embed TOML files into your Rust code as static data with custom data structures.                                                                                                                                                                                                                                                | MIT                                                     | https://github.com/cptpiepmatz/static-toml                                                        |
| strum                              | Helpful macros for working with enums and strings                                                                                                                                                                                                                                                                                            | MIT                                                     | https://github.com/Peternator7/strum                                                              |
| sysinfo                            | Library to get system information such as processes, CPUs, disks, components and networks                                                                                                                                                                                                                                                    | MIT                                                     | https://github.com/GuillaumeGomez/sysinfo                                                         |
| tempfile                           | A library for managing temporary files and directories.                                                                                                                                                                                                                                                                                      | MIT OR Apache-2.0                                       | https://github.com/Stebalien/tempfile                                                             |
| thiserror                          | derive(Error)                                                                                                                                                                                                                                                                                                                                | MIT OR Apache-2.0                                       | https://github.com/dtolnay/thiserror                                                              |
| tokio                              | An event-driven, non-blocking I/O platform for writing asynchronous I/O backed applications.                                                                                                                                                                                                                                                 | MIT                                                     | https://github.com/tokio-rs/tokio                                                                 |
| tokio-native-tls                   | An implementation of TLS/SSL streams for Tokio using native-tls giving an implementation of TLS for nonblocking I/O streams.                                                                                                                                                                                                                 | MIT                                                     | https://github.com/tokio-rs/tls                                                                   |
| tokio-rustls                       | Asynchronous TLS/SSL streams for Tokio using Rustls.                                                                                                                                                                                                                                                                                         | MIT OR Apache-2.0                                       | https://github.com/rustls/tokio-rustls                                                            |
| toml                               | A native Rust encoder and decoder of TOML-formatted files and streams. Provides implementations of the standard Serialize/Deserialize traits for TOML data to facilitate deserializing and serializing Rust structures.                                                                                                                      | MIT OR Apache-2.0                                       | https://github.com/toml-rs/toml                                                                   |
| tower-http                         | Tower middleware and utilities for HTTP clients and servers                                                                                                                                                                                                                                                                                  | MIT                                                     | https://github.com/tower-rs/tower-http                                                            |
| tracing                            | Application-level tracing for Rust.                                                                                                                                                                                                                                                                                                          | MIT                                                     | https://github.com/tokio-rs/tracing                                                               |
| tracing-appender                   | Provides utilities for file appenders and making non-blocking writers.                                                                                                                                                                                                                                                                       | MIT                                                     | https://github.com/tokio-rs/tracing                                                               |
| tracing-opentelemetry              | OpenTelemetry integration for tracing                                                                                                                                                                                                                                                                                                        | MIT                                                     | https://github.com/tokio-rs/tracing-opentelemetry                                                 |
| tracing-subscriber                 | Utilities for implementing and composing `tracing` subscribers.                                                                                                                                                                                                                                                                              | MIT                                                     | https://github.com/tokio-rs/tracing                                                               |
| trait-variant                      | Utilities for working with 'impl Trait's in Rust.                                                                                                                                                                                                                                                                                            | MIT OR Apache-2.0                                       | https://github.com/rust-lang/impl-trait-utils                                                     |
| twox-hash                          | A Rust implementation of the XXHash and XXH3 algorithms                                                                                                                                                                                                                                                                                      | MIT                                                     | https://github.com/shepmaster/twox-hash                                                           |
| ulid                               | a Universally Unique Lexicographically Sortable Identifier implementation                                                                                                                                                                                                                                                                    | MIT                                                     | https://github.com/dylanhart/ulid-rs                                                              |
| uuid                               | A library to generate and parse UUIDs.                                                                                                                                                                                                                                                                                                       | MIT OR Apache-2.0                                       | https://github.com/uuid-rs/uuid                                                                   |
| vergen-git2                        | Generate 'cargo:rustc-env' instructions via 'build.rs' for use in your code via the 'env!' macro                                                                                                                                                                                                                                             | MIT OR Apache-2.0                                       | https://github.com/rustyhorde/vergen                                                              |
| webpki-roots                       | Mozilla's CA root certificates for use with webpki                                                                                                                                                                                                                                                                                           | Apache-2.0 OR MIT OR MPL-2.0                            | https://github.com/rustls/webpki-roots                                                            |
| zip                                | Library to support the reading and writing of zip files.                                                                                                                                                                                                                                                                                     | MIT                                                     | https://github.com/zip-rs/zip2.git                                                                |